Update Plan
PUT
https://api.baremetrics.com/v1/{source_id}/plans/{oid}Path parameters
oidstring requiredYour interval plan id
source_idstring requiredPlease see Sources
Body
application/jsonnamestring requiredThe new name of this plan
Responses
200OK
{
"plan": {
"oid": "plan_2",
"source_id": "123",
"source": "baremetrics",
"name": "Plan 2",
"interval": "year",
"interval_count": 1,
"trial_duration": null,
"trial_duration_unit": null,
"created": null,
"active": true,
"setup_fees": 0,
"amounts": [
{
"currency": "USD",
"symbol": "$",
"symbol_right": false,
"amount": 450000
}
]
}
}400Bad Request
{}